// Copyright 2004 "Gilles Degottex"

// This file is part of "Music"

// "Music" is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
// 
// "Music" is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


#ifndef _GLComponents_h_
#define _GLComponents_h_

#include <vector>
using namespace std;
#include <qgl.h>
#include <View.h>

class GLComponents : public QGLWidget, public View
{
	Q_OBJECT
	
  protected:
	virtual void mouseReleaseEvent(QMouseEvent* e);

	int m_selected_st;

  public:
	GLComponents(QWidget* parent);
	~GLComponents(){}

	double m_max_value;
	// settings
	QAction* setting_autoScale;

 signals:
	void selectedSemitoneChanged(int st);

  public slots:
	void initializeGL();
	void paintGL();
	void resizeGL( int w, int h );
};

#endif // _GLComponents_h_

