// Copyright 2005 "Gilles Degottex"

// This file is part of "Music"

// "Music" is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
// 
// "Music" is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


#ifndef _GLRTGraph_h_
#define _GLRTGraph_h_

#include "GLGraph.h"

class GLRTGraph : public GLGraph
{
	Q_OBJECT

  public:
	GLRTGraph(const QString& name, QWidget* parent);
	~GLRTGraph(){}

	virtual void base_paint(float graph_gray=0.0);

	// settings
	QAction* setting_showStabilityGraph;
	virtual void save();
	virtual void load();
	virtual void clearSettings();
};

#endif // _GLRTGraph_h_

